summaryrefslogtreecommitdiff
path: root/unfinished
diff options
context:
space:
mode:
authorThomas Ulmer <thomasmulmer02@gmail.com>2026-06-14 08:59:25 -0700
committerThomas Ulmer <thomasmulmer02@gmail.com>2026-06-14 08:59:25 -0700
commit3376b6420d3b6cc965890e46e7bbd06fbc9fd037 (patch)
tree67b59ce0f9ba016db62067a081c0535d064d2a3f /unfinished
parentd533343af750dcfda2321f33953b66396e767f10 (diff)
layout reorg
Diffstat (limited to 'unfinished')
m---------unfinished/chicken/chicken-core0
-rwxr-xr-xunfinished/chicken/setup.sh12
m---------unfinished/musl/musl0
-rwxr-xr-xunfinished/musl/setup.sh7
m---------unfinished/ncurses/ncurses0
-rwxr-xr-xunfinished/tcc/setup.sh11
m---------unfinished/tcc/tcc0
-rwxr-xr-xunfinished/tcsh/setup.sh6
m---------unfinished/tcsh/tcsh0
9 files changed, 36 insertions, 0 deletions
diff --git a/unfinished/chicken/chicken-core b/unfinished/chicken/chicken-core
new file mode 160000
+Subproject 0f952c84f943658489a9c8d15277e3416de510c
diff --git a/unfinished/chicken/setup.sh b/unfinished/chicken/setup.sh
new file mode 100755
index 0000000..4c1ba54
--- /dev/null
+++ b/unfinished/chicken/setup.sh
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+set -e
+
+cd chicken-core
+./scripts/bootstrap.sh
+
+CHICKEN_ALWAYS="--disable-shared --chicken ./chicken-boot --prefix ${HOME}/.local"
+
+./configure ${CHICKEN_FLAGS}
+make
+make install
diff --git a/unfinished/musl/musl b/unfinished/musl/musl
new file mode 160000
+Subproject 1b76ff0767d01df72f692806ee5adee13c67ef8
diff --git a/unfinished/musl/setup.sh b/unfinished/musl/setup.sh
new file mode 100755
index 0000000..2a0203c
--- /dev/null
+++ b/unfinished/musl/setup.sh
@@ -0,0 +1,7 @@
+#!/bin/bash
+
+cd musl
+./configure --prefix=${HOME}/.local/musl --disable-shared
+make
+make install
+cd ..
diff --git a/unfinished/ncurses/ncurses b/unfinished/ncurses/ncurses
new file mode 160000
+Subproject 87c2c84cbd2332d6d94b12a1dcaf12ad1a51a93
diff --git a/unfinished/tcc/setup.sh b/unfinished/tcc/setup.sh
new file mode 100755
index 0000000..ed6c6d6
--- /dev/null
+++ b/unfinished/tcc/setup.sh
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+set -e
+
+cd tcc
+
+./configure --prefix=${HOME}/.local
+make
+make test
+make install
+ln -sf ${HOME}/.local/bin/tcc ${HOME}/.local/bin/cc
diff --git a/unfinished/tcc/tcc b/unfinished/tcc/tcc
new file mode 160000
+Subproject 4fccaf61241a5eb72b0777b3a44bd7abbea4860
diff --git a/unfinished/tcsh/setup.sh b/unfinished/tcsh/setup.sh
new file mode 100755
index 0000000..f96e30d
--- /dev/null
+++ b/unfinished/tcsh/setup.sh
@@ -0,0 +1,6 @@
+#!/bin/bash
+
+cd tcsh
+./configure --prefix=${HOME}/.local
+make
+make install
diff --git a/unfinished/tcsh/tcsh b/unfinished/tcsh/tcsh
new file mode 160000
+Subproject 626e47612a42d769d6082eef4f43fafd0da84d8